# Copyright (c) 2019, InfluxFrameworkand Contributors
# License: GNU General Public License v3. See license.txt


import influxframework

from influxerp.regional.united_arab_emirates.setup import make_custom_fields


def execute():
	company = influxframework.get_all(
		"Company", filters={"country": ["in", ["Saudi Arabia", "United Arab Emirates"]]}
	)
	if not company:
		return

	influxframework.reload_doc("accounts", "doctype", "pos_invoice")
	influxframework.reload_doc("accounts", "doctype", "pos_invoice_item")

	make_custom_fields()
