influxframework.provide("influxframework.help.help_links");

const docsUrl = "https://influxerp.com/docs/";

influxframework.help.help_links["Form/Rename Tool"] = [
	{
		label: "Bulk Rename",
		url: docsUrl + "user/manual/en/using-influxerp/articles/bulk-rename",
	},
];

//Setup

influxframework.help.help_links["List/User"] = [
	{
		label: "New User",
		url:
			docsUrl +
			"user/manual/en/setting-up/users-and-permissions/adding-users",
	},
	{
		label: "Rename User",
		url: docsUrl + "user/manual/en/setting-up/articles/rename-user",
	},
];

influxframework.help.help_links["permission-manager"] = [
	{
		label: "Role Permissions Manager",
		url:
			docsUrl +
			"user/manual/en/setting-up/users-and-permissions/role-based-permissions",
	},
	{
		label: "Managing Perm Level in Permissions Manager",
		url: docsUrl + "user/manual/en/setting-up/articles/managing-perm-level",
	},
	{
		label: "User Permissions",
		url:
			docsUrl +
			"user/manual/en/setting-up/users-and-permissions/user-permissions",
	},
	{
		label: "Sharing",
		url:
			docsUrl + "user/manual/en/setting-up/users-and-permissions/sharing",
	},
	{
		label: "Password",
		url: docsUrl + "user/manual/en/setting-up/articles/change-password",
	},
];

influxframework.help.help_links["Form/System Settings"] = [
	{
		label: "System Settings",
		url: docsUrl + "user/manual/en/setting-up/settings/system-settings",
	},
];

influxframework.help.help_links["Form/Data Import"] = [
	{
		label: "Importing and Exporting Data",
		url: docsUrl + "user/manual/en/setting-up/data/data-import",
	},
	{
		label: "Overwriting Data from Data Import Tool",
		url:
			docsUrl +
			"user/manual/en/setting-up/articles/overwriting-data-from-data-import-tool",
	},
];

influxframework.help.help_links["List/Data Import"] = [
	{
		label: "Importing and Exporting Data",
		url: docsUrl + "user/manual/en/setting-up/data/data-import",
	},
	{
		label: "Overwriting Data from Data Import Tool",
		url:
			docsUrl +
			"user/manual/en/setting-up/articles/overwriting-data-from-data-import-tool",
	},
];

influxframework.help.help_links["module_setup"] = [
	{
		label: "Role Permissions Manager",
		url:
			docsUrl +
			"user/manual/en/setting-up/users-and-permissions/role-based-permissions",
	},
];

influxframework.help.help_links["Form/Naming Series"] = [
	{
		label: "Naming Series",
		url: docsUrl + "user/manual/en/setting-up/settings/naming-series",
	},
	{
		label: "Setting the Current Value for Naming Series",
		url:
			docsUrl +
			"user/manual/en/setting-up/articles/naming-series-current-value",
	},
];

influxframework.help.help_links["Form/Global Defaults"] = [
	{
		label: "Global Settings",
		url: docsUrl + "user/manual/en/setting-up/settings/global-defaults",
	},
];

influxframework.help.help_links["List/Print Heading"] = [
	{
		label: "Print Heading",
		url: docsUrl + "user/manual/en/setting-up/print/print-headings",
	},
];

influxframework.help.help_links["Form/Print Heading"] = [
	{
		label: "Print Heading",
		url: docsUrl + "user/manual/en/setting-up/print/print-headings",
	},
];

influxframework.help.help_links["List/Letter Head"] = [
	{
		label: "Letter Head",
		url: docsUrl + "user/manual/en/setting-up/print/letter-head",
	},
];

influxframework.help.help_links["List/Address Template"] = [
	{
		label: "Address Template",
		url: docsUrl + "user/manual/en/setting-up/print/address-template",
	},
];

influxframework.help.help_links["List/Terms and Conditions"] = [
	{
		label: "Terms and Conditions",
		url: docsUrl + "user/manual/en/setting-up/print/terms-and-conditions",
	},
];

influxframework.help.help_links["List/Cheque Print Template"] = [
	{
		label: "Cheque Print Template",
		url: docsUrl + "user/manual/en/setting-up/print/cheque-print-template",
	},
];

influxframework.help.help_links["List/Email Account"] = [
	{
		label: "Email Account",
		url: docsUrl + "user/manual/en/setting-up/email/email-account",
	},
];

influxframework.help.help_links["List/Notification"] = [
	{
		label: "Notification",
		url: docsUrl + "user/manual/en/setting-up/notifications",
	},
];

influxframework.help.help_links["Form/Notification"] = [
	{
		label: "Notification",
		url: docsUrl + "user/manual/en/setting-up/notifications",
	},
];

influxframework.help.help_links["Form/Email Digest"] = [
	{
		label: "Email Digest",
		url: docsUrl + "user/manual/en/setting-up/email/email-digest",
	},
];

influxframework.help.help_links["Form/Email Digest"] = [
	{
		label: "Email Digest",
		url: docsUrl + "user/manual/en/setting-up/email/email-digest",
	},
];

influxframework.help.help_links["List/Auto Email Report"] = [
	{
		label: "Auto Email Reports",
		url: docsUrl + "user/manual/en/setting-up/email/auto-email-reports",
	},
];

influxframework.help.help_links["Form/Print Settings"] = [
	{
		label: "Print Settings",
		url: docsUrl + "user/manual/en/setting-up/print/print-settings",
	},
];

influxframework.help.help_links["print-format-builder"] = [
	{
		label: "Print Format Builder",
		url: docsUrl + "user/manual/en/setting-up/print/print-format-builder",
	},
];

//setup-integrations

influxframework.help.help_links["Form/PayPal Settings"] = [
	{
		label: "PayPal Settings",
		url:
			docsUrl +
			"user/manual/en/influxerp_integration/paypal-integration",
	},
];

influxframework.help.help_links["Form/Razorpay Settings"] = [
	{
		label: "Razorpay Settings",
		url:
			docsUrl +
			"user/manual/en/influxerp_integration/razorpay-integration",
	},
];

influxframework.help.help_links["Form/Dropbox Settings"] = [
	{
		label: "Dropbox Settings",
		url: docsUrl + "user/manual/en/influxerp_integration/dropbox-backup",
	},
];

influxframework.help.help_links["Form/LDAP Settings"] = [
	{
		label: "LDAP Settings",
		url:
			docsUrl + "user/manual/en/influxerp_integration/ldap-integration",
	},
];

influxframework.help.help_links["Form/Stripe Settings"] = [
	{
		label: "Stripe Settings",
		url:
			docsUrl +
			"user/manual/en/influxerp_integration/stripe-integration",
	},
];

//Sales

influxframework.help.help_links["Form/Quotation"] = [
	{ label: "Quotation", url: docsUrl + "user/manual/en/selling/quotation" },
	{
		label: "Applying Discount",
		url: docsUrl + "user/manual/en/selling/articles/applying-discount",
	},
	{
		label: "Sales Person",
		url:
			docsUrl +
			"user/manual/en/selling/articles/sales-persons-in-the-sales-transactions",
	},
	{
		label: "Applying Margin",
		url: docsUrl + "user/manual/en/selling/articles/adding-margin",
	},
];

influxframework.help.help_links["List/Customer"] = [
	{ label: "Customer", url: docsUrl + "user/manual/en/CRM/customer" },
	{
		label: "Credit Limit",
		url: docsUrl + "user/manual/en/accounts/credit-limit",
	},
];

influxframework.help.help_links["Form/Customer"] = [
	{ label: "Customer", url: docsUrl + "user/manual/en/CRM/customer" },
	{
		label: "Credit Limit",
		url: docsUrl + "user/manual/en/accounts/credit-limit",
	},
];

influxframework.help.help_links["List/Sales Taxes and Charges Template"] = [
	{
		label: "Setting Up Taxes",
		url: docsUrl + "user/manual/en/setting-up/setting-up-taxes",
	},
];

influxframework.help.help_links["Form/Sales Taxes and Charges Template"] = [
	{
		label: "Setting Up Taxes",
		url: docsUrl + "user/manual/en/setting-up/setting-up-taxes",
	},
];

influxframework.help.help_links["List/Sales Order"] = [
	{
		label: "Sales Order",
		url: docsUrl + "user/manual/en/selling/sales-order",
	},
	{
		label: "Recurring Sales Order",
		url: docsUrl + "user/manual/en/accounts/articles/recurring-orders-and-invoices",
	},
	{
		label: "Applying Discount",
		url: docsUrl + "user/manual/en/selling/articles/applying-discount",
	},
];

influxframework.help.help_links["Form/Sales Order"] = [
	{
		label: "Sales Order",
		url: docsUrl + "user/manual/en/selling/sales-order",
	},
	{
		label: "Recurring Sales Order",
		url: docsUrl + "user/manual/en/accounts/articles/recurring-orders-and-invoices",
	},
	{
		label: "Applying Discount",
		url: docsUrl + "user/manual/en/selling/articles/applying-discount",
	},
	{
		label: "Drop Shipping",
		url: docsUrl + "user/manual/en/selling/articles/drop-shipping",
	},
	{
		label: "Sales Person",
		url:
			docsUrl +
			"user/manual/en/selling/articles/sales-persons-in-the-sales-transactions",
	},
	{
		label: "Close Sales Order",
		url: docsUrl + "user/manual/en/selling/articles/close-sales-order",
	},
	{
		label: "Applying Margin",
		url: docsUrl + "user/manual/en/selling/articles/adding-margin",
	},
];

influxframework.help.help_links["Form/Product Bundle"] = [
	{
		label: "Product Bundle",
		url: docsUrl + "user/manual/en/selling/product-bundle",
	},
];

influxframework.help.help_links["Form/Selling Settings"] = [
	{
		label: "Selling Settings",
		url: docsUrl + "user/manual/en/selling/selling-settings",
	},
];

//Buying

influxframework.help.help_links["List/Supplier"] = [
	{ label: "Supplier", url: docsUrl + "user/manual/en/buying/supplier" },
];

influxframework.help.help_links["Form/Supplier"] = [
	{ label: "Supplier", url: docsUrl + "user/manual/en/buying/supplier" },
];

influxframework.help.help_links["Form/Request for Quotation"] = [
	{
		label: "Request for Quotation",
		url: docsUrl + "user/manual/en/buying/request-for-quotation",
	},
	{
		label: "RFQ Video",
		url: docsUrl + "user/videos/learn/request-for-quotation.html",
	},
];

influxframework.help.help_links["Form/Supplier Quotation"] = [
	{
		label: "Supplier Quotation",
		url: docsUrl + "user/manual/en/buying/supplier-quotation",
	},
];

influxframework.help.help_links["Form/Buying Settings"] = [
	{
		label: "Buying Settings",
		url: docsUrl + "user/manual/en/buying/setup/buying-settings",
	},
];

influxframework.help.help_links["List/Purchase Order"] = [
	{
		label: "Purchase Order",
		url: docsUrl + "user/manual/en/buying/purchase-order",
	},
	{
		label: "Recurring Purchase Order",
		url: docsUrl + "user/manual/en/accounts/articles/recurring-orders-and-invoices",
	},
];

influxframework.help.help_links["Form/Purchase Order"] = [
	{
		label: "Purchase Order",
		url: docsUrl + "user/manual/en/buying/purchase-order",
	},
	{
		label: "Item UoM",
		url:
			docsUrl +
			"user/manual/en/buying/articles/purchasing-in-different-unit",
	},
	{
		label: "Supplier Item Code",
		url:
			docsUrl +
			"user/manual/en/buying/articles/maintaining-suppliers-part-no-in-item",
	},
	{
		label: "Recurring Purchase Order",
		url: docsUrl + "user/manual/en/accounts/articles/recurring-orders-and-invoices",
	},
	{
		label: "Subcontracting",
		url: docsUrl + "user/manual/en/manufacturing/subcontracting",
	},
];

influxframework.help.help_links["List/Purchase Taxes and Charges Template"] = [
	{
		label: "Setting Up Taxes",
		url: docsUrl + "user/manual/en/setting-up/setting-up-taxes",
	},
];

influxframework.help.help_links["List/Price List"] = [
	{
		label: "Price List",
		url: docsUrl + "user/manual/en/stock/price-lists",
	},
];

influxframework.help.help_links["List/Authorization Rule"] = [
	{
		label: "Authorization Rule",
		url: docsUrl + "user/manual/en/customize-influxerp/authorization-rule",
	},
];

influxframework.help.help_links["Form/SMS Settings"] = [
	{
		label: "SMS Settings",
		url: docsUrl + "user/manual/en/setting-up/sms-setting",
	},
];

influxframework.help.help_links["List/Stock Reconciliation"] = [
	{
		label: "Stock Reconciliation",
		url:
			docsUrl +
			"user/manual/en/stock/stock-reconciliation",
	},
];

influxframework.help.help_links["Tree/Territory"] = [
	{
		label: "Territory",
		url: docsUrl + "user/manual/en/selling/territory",
	},
];

influxframework.help.help_links["List/Workflow"] = [
	{ label: "Workflow", url: docsUrl + "user/manual/en/setting-up/workflows" },
];

influxframework.help.help_links["List/Company"] = [
	{
		label: "Company",
		url: docsUrl + "user/manual/en/setting-up/company-setup",
	},
	{
		label: "Delete All Related Transactions for a Company",
		url:
			docsUrl +
			"user/manual/en/setting-up/articles/delete-a-company-and-all-related-transactions",
	},
];

//Accounts

influxframework.help.help_links["Tree/Account"] = [
	{
		label: "Chart of Accounts",
		url: docsUrl + "user/manual/en/accounts/chart-of-accounts",
	},
	{
		label: "Managing Tree Mastes",
		url:
			docsUrl +
			"user/manual/en/setting-up/articles/managing-tree-structure-masters",
	},
];

influxframework.help.help_links["Form/Sales Invoice"] = [
	{
		label: "Sales Invoice",
		url: docsUrl + "user/manual/en/accounts/sales-invoice",
	},
	{
		label: "Accounts Opening Balance",
		url: docsUrl + "user/manual/en/accounts/opening-balance",
	},
	{
		label: "Sales Return",
		url: docsUrl + "user/manual/en/stock/sales-return",
	},
	{
		label: "Recurring Sales Invoice",
		url: docsUrl + "user/manual/en/accounts/articles/recurring-orders-and-invoices",
	},
];

influxframework.help.help_links["List/Sales Invoice"] = [
	{
		label: "Sales Invoice",
		url: docsUrl + "user/manual/en/accounts/sales-invoice",
	},
	{
		label: "Accounts Opening Balance",
		url: docsUrl + "user/manual/en/accounts/opening-balances",
	},
	{
		label: "Sales Return",
		url: docsUrl + "user/manual/en/stock/sales-return",
	},
	{
		label: "Recurring Sales Invoice",
		url: docsUrl + "user/manual/en/accounts/articles/recurring-orders-and-invoices",
	},
];

influxframework.help.help_links["point-of-sale"] = [
	{
		label: "Point of Sale Invoice",
		url: docsUrl + "user/manual/en/accounts/point-of-sales",
	},
];

influxframework.help.help_links["List/POS Profile"] = [
	{
		label: "Point of Sale Profile",
		url: docsUrl + "user/manual/en/accounts/pos-profile",
	},
];

influxframework.help.help_links["Form/POS Profile"] = [
	{
		label: "POS Profile",
		url: docsUrl + "user/manual/en/accounts/pos-profile",
	},
];

influxframework.help.help_links["List/Purchase Invoice"] = [
	{
		label: "Purchase Invoice",
		url: docsUrl + "user/manual/en/accounts/purchase-invoice",
	},
	{
		label: "Accounts Opening Balance",
		url: docsUrl + "user/manual/en/accounts/opening-balance",
	},
	{
		label: "Recurring Purchase Invoice",
		url: docsUrl + "user/manual/en/accounts/articles/recurring-orders-and-invoices",
	},
];

influxframework.help.help_links["List/Journal Entry"] = [
	{
		label: "Journal Entry",
		url: docsUrl + "user/manual/en/accounts/journal-entry",
	},
	{
		label: "Advance Payment Entry",
		url: docsUrl + "user/manual/en/accounts/advance-payment-entry",
	},
	{
		label: "Accounts Opening Balance",
		url: docsUrl + "user/manual/en/accounts/opening-balance",
	},
];

influxframework.help.help_links["List/Payment Entry"] = [
	{
		label: "Payment Entry",
		url: docsUrl + "user/manual/en/accounts/payment-entry",
	},
];

influxframework.help.help_links["List/Payment Request"] = [
	{
		label: "Payment Request",
		url: docsUrl + "user/manual/en/accounts/payment-request",
	},
];

influxframework.help.help_links["List/Asset"] = [
	{
		label: "Managing Fixed Assets",
		url: docsUrl + "user/manual/en/asset",
	},
];

influxframework.help.help_links["List/Asset Category"] = [
	{
		label: "Asset Category",
		url: docsUrl + "user/manual/en/asset/asset-category",
	},
];

influxframework.help.help_links["Tree/Cost Center"] = [
	{ label: "Budgeting", url: docsUrl + "user/manual/en/accounts/budgeting" },
];

//Stock

influxframework.help.help_links["List/Item"] = [
	{ label: "Item", url: docsUrl + "user/manual/en/stock/item" },
	{
		label: "Item Price",
		url: docsUrl + "user/manual/en/stock/item-price",
	},
	{
		label: "Barcode",
		url:
			docsUrl + "user/manual/en/stock/articles/track-items-using-barcode",
	},
	{
		label: "Item Wise Taxation",
		url: docsUrl + "user/manual/en/accounts/item-tax-template",
	},
	{
		label: "Managing Fixed Assets",
		url: docsUrl + "user/manual/en/asset",
	},
	{
		label: "Item Codification",
		url: docsUrl + "user/manual/en/stock/articles/item-codification",
	},
	{
		label: "Item Variants",
		url: docsUrl + "user/manual/en/stock/item-variants",
	},
	{
		label: "Item Valuation",
		url:
			docsUrl +
			"user/manual/en/stock/articles/item-valuation-fifo-and-moving-average",
	},
];

influxframework.help.help_links["Form/Item"] = [
	{ label: "Item", url: docsUrl + "user/manual/en/stock/item" },
	{
		label: "Item Price",
		url: docsUrl + "user/manual/en/stock/item-price",
	},
	{
		label: "Barcode",
		url:
			docsUrl + "user/manual/en/stock/articles/track-items-using-barcode",
	},
	{
		label: "Item Wise Taxation",
		url: docsUrl + "user/manual/en/accounts/item-tax-template",
	},
	{
		label: "Managing Fixed Assets",
		url: docsUrl + "user/manual/en/asset",
	},
	{
		label: "Item Codification",
		url: docsUrl + "user/manual/en/stock/articles/item-codification",
	},
	{
		label: "Item Variants",
		url: docsUrl + "user/manual/en/stock/item-variants",
	},
	{
		label: "Item Valuation",
		url:
			docsUrl +
			"user/manual/en/stock/item/item-valuation-fifo-and-moving-average",
	},
];

influxframework.help.help_links["List/Purchase Receipt"] = [
	{
		label: "Purchase Receipt",
		url: docsUrl + "user/manual/en/stock/purchase-receipt",
	},
	{
		label: "Barcode",
		url:
			docsUrl + "user/manual/en/stock/articles/track-items-using-barcode",
	},
];

influxframework.help.help_links["List/Delivery Note"] = [
	{
		label: "Delivery Note",
		url: docsUrl + "user/manual/en/stock/delivery-note",
	},
	{
		label: "Barcode",
		url:
			docsUrl + "user/manual/en/stock/articles/track-items-using-barcode",
	},
	{
		label: "Sales Return",
		url: docsUrl + "user/manual/en/stock/sales-return",
	},
];

influxframework.help.help_links["Form/Delivery Note"] = [
	{
		label: "Delivery Note",
		url: docsUrl + "user/manual/en/stock/delivery-note",
	},
	{
		label: "Sales Return",
		url: docsUrl + "user/manual/en/stock/sales-return",
	},
	{
		label: "Barcode",
		url:
			docsUrl + "user/manual/en/stock/articles/track-items-using-barcode",
	},
];

influxframework.help.help_links["List/Installation Note"] = [
	{
		label: "Installation Note",
		url: docsUrl + "user/manual/en/stock/installation-note",
	},
];

influxframework.help.help_links["List/Budget"] = [
	{ label: "Budgeting", url: docsUrl + "user/manual/en/accounts/budgeting" },
];

influxframework.help.help_links["List/Material Request"] = [
	{
		label: "Material Request",
		url: docsUrl + "user/manual/en/stock/material-request",
	},
	{
		label: "Auto-creation of Material Request",
		url:
			docsUrl +
			"user/manual/en/stock/articles/auto-creation-of-material-request",
	},
];

influxframework.help.help_links["Form/Material Request"] = [
	{
		label: "Material Request",
		url: docsUrl + "user/manual/en/stock/material-request",
	},
	{
		label: "Auto-creation of Material Request",
		url:
			docsUrl +
			"user/manual/en/stock/articles/auto-creation-of-material-request",
	},
];

influxframework.help.help_links["Form/Stock Entry"] = [
	{ label: "Stock Entry", url: docsUrl + "user/manual/en/stock/stock-entry" },
	{
		label: "Stock Entry Types",
		url: docsUrl + "user/manual/en/stock/articles/stock-entry-purpose",
	},
	{
		label: "Repack Entry",
		url: docsUrl + "user/manual/en/stock/articles/repack-entry",
	},
	{
		label: "Opening Stock",
		url: docsUrl + "user/manual/en/stock/opening-stock",
	},
	{
		label: "Subcontracting",
		url: docsUrl + "user/manual/en/manufacturing/subcontracting",
	},
];

influxframework.help.help_links["List/Stock Entry"] = [
	{ label: "Stock Entry", url: docsUrl + "user/manual/en/stock/stock-entry" },
];

influxframework.help.help_links["Tree/Warehouse"] = [
	{ label: "Warehouse", url: docsUrl + "user/manual/en/stock/warehouse" },
];

influxframework.help.help_links["List/Serial No"] = [
	{ label: "Serial No", url: docsUrl + "user/manual/en/stock/serial-no" },
];

influxframework.help.help_links["Form/Serial No"] = [
	{ label: "Serial No", url: docsUrl + "user/manual/en/stock/serial-no" },
];

influxframework.help.help_links["List/Batch"] = [
	{ label: "Batch", url: docsUrl + "user/manual/en/stock/batch" },
];

influxframework.help.help_links["Form/Batch"] = [
	{ label: "Batch", url: docsUrl + "user/manual/en/stock/batch" },
];

influxframework.help.help_links["Form/Packing Slip"] = [
	{
		label: "Packing Slip",
		url: docsUrl + "user/manual/en/stock/packing-slip",
	},
];

influxframework.help.help_links["Form/Quality Inspection"] = [
	{
		label: "Quality Inspection",
		url: docsUrl + "user/manual/en/stock/quality-inspection",
	},
];

influxframework.help.help_links["Form/Landed Cost Voucher"] = [
	{
		label: "Landed Cost Voucher",
		url: docsUrl + "user/manual/en/stock/landed-cost-voucher",
	},
];

influxframework.help.help_links["Tree/Item Group"] = [
	{
		label: "Item Group",
		url: docsUrl + "user/manual/en/stock/item-group",
	},
];

influxframework.help.help_links["Form/Item Attribute"] = [
	{
		label: "Item Attribute",
		url: docsUrl + "user/manual/en/stock/item-attribute",
	},
];

influxframework.help.help_links["Form/UOM"] = [
	{
		label: "Fractions in UOM",
		url:
			docsUrl + "user/manual/en/stock/articles/managing-fractions-in-uom",
	},
];

influxframework.help.help_links["Form/Stock Reconciliation"] = [
	{
		label: "Opening Stock Entry",
		url: docsUrl + "user/manual/en/stock/stock-reconciliation",
	},
];

//CRM

influxframework.help.help_links["Form/Lead"] = [
	{ label: "Lead", url: docsUrl + "user/manual/en/CRM/lead" },
];

influxframework.help.help_links["Form/Opportunity"] = [
	{ label: "Opportunity", url: docsUrl + "user/manual/en/CRM/opportunity" },
];

influxframework.help.help_links["Form/Address"] = [
	{ label: "Address", url: docsUrl + "user/manual/en/CRM/address" },
];

influxframework.help.help_links["Form/Contact"] = [
	{ label: "Contact", url: docsUrl + "user/manual/en/CRM/contact" },
];

influxframework.help.help_links["Form/Newsletter"] = [
	{ label: "Newsletter", url: docsUrl + "user/manual/en/CRM/newsletter" },
];

influxframework.help.help_links["Form/Campaign"] = [
	{ label: "Campaign", url: docsUrl + "user/manual/en/CRM/campaign" },
];

influxframework.help.help_links["Tree/Sales Person"] = [
	{
		label: "Sales Person",
		url: docsUrl + "user/manual/en/CRM/sales-person",
	},
];

influxframework.help.help_links["Form/Sales Person"] = [
	{
		label: "Sales Person Target",
		url:
			docsUrl +
			"user/manual/en/selling/sales-person-target-allocation",
	},
	{
		label: "Sales Person in Transactions",
		url:
			docsUrl +
			"user/manual/en/selling/articles/sales-persons-in-the-sales-transactions",
	},
];

//Manufacturing

influxframework.help.help_links["Form/BOM"] = [
	{
		label: "Bill of Material",
		url: docsUrl + "user/manual/en/manufacturing/bill-of-materials",
	},
	{
		label: "Nested BOM Structure",
		url:
			docsUrl +
			"user/manual/en/manufacturing/articles/managing-multi-level-bom",
	},
];

influxframework.help.help_links["Form/Work Order"] = [
	{
		label: "Work Order",
		url: docsUrl + "user/manual/en/manufacturing/work-order",
	},
];

influxframework.help.help_links["Form/Workstation"] = [
	{
		label: "Workstation",
		url: docsUrl + "user/manual/en/manufacturing/workstation",
	},
];

influxframework.help.help_links["Form/Operation"] = [
	{
		label: "Operation",
		url: docsUrl + "user/manual/en/manufacturing/operation",
	},
];

influxframework.help.help_links["Form/BOM Update Tool"] = [
	{
		label: "BOM Update Tool",
		url: docsUrl + "user/manual/en/manufacturing/bom-update-tool",
	},
];

//Customize

influxframework.help.help_links["Form/Customize Form"] = [
	{
		label: "Custom Field",
		url: docsUrl + "user/manual/en/customize-influxerp/custom-field",
	},
	{
		label: "Customize Field",
		url: docsUrl + "user/manual/en/customize-influxerp/customize-form",
	},
];

influxframework.help.help_links["List/Custom Field"] = [
	{
		label: "Custom Field",
		url: docsUrl + "user/manual/en/customize-influxerp/custom-field",
	},
];

influxframework.help.help_links["Form/Custom Field"] = [
	{
		label: "Custom Field",
		url: docsUrl + "user/manual/en/customize-influxerp/custom-field",
	},
];
