# Copyright (c) 2015, InfluxFramework LLC
# See license.txt

import unittest

import influxframework
from influxframework.utils import random_string

# test_records = influxframework.get_test_records('Vehicle')


class TestVehicle(unittest.TestCase):
	def test_make_vehicle(self):
		vehicle = influxframework.get_doc(
			{
				"doctype": "Vehicle",
				"license_plate": random_string(10).upper(),
				"make": "Maruti",
				"model": "PCM",
				"last_odometer": 5000,
				"acquisition_date": influxframework.utils.nowdate(),
				"location": "Mumbai",
				"chassis_no": "1234ABCD",
				"uom": "Litre",
				"vehicle_value": influxframework.utils.flt(500000),
			}
		)
		vehicle.insert()
